using System.Text.Json;

namespace Barcode.Host.Server.Models;

public record AppSettings(string BuildNumber,
                          string Company,
                          int ClearLastScanServiceAfter,
                          string DeviceNameEndsWith,
                          string EquipmentName,
                          int ExpectedScanLengthA,
                          int ExpectedScanLengthB,
                          string FileShare,
                          string GitCommitSeven,
                          string LinuxDevicePath,
                          bool IsDevelopment,
                          bool IsStaging,
                          int NotifyMinimum,
                          string MockRoot,
                          string MonAResource,
                          string MonASite,
                          string PostTo,
                          string RootPassword,
                          string SerialPortName,
                          string URLs,
                          string WorkingDirectoryName,
                          int WriteToSerialEvery)
{

    public override string ToString()
    {
        string result = JsonSerializer.Serialize(this, new JsonSerializerOptions() { WriteIndented = true });
        return result;
    }

}